Bug 625538 - Unable to view bookmarks for SFTP mounts in open/save dialogs
Unable to view bookmarks for SFTP mounts in open/save dialogs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nautilus (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 14:43 EDT by Matthew Mosesohn
Modified: 2015-03-03 17:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 09:45:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Mosesohn 2010-08-19 14:43:24 EDT
Description of problem:
If you create a bookmark referring to a SFTP gvfs connection in Nautilus, it is hidden from view in any save/open dialogs.

Version-Release number of selected component (if applicable):
nautilus-2.28.4-13.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. File -> System Tools -> file browser
2. File -> Connect to Server
3. Set up a SSH/SFTP connection to a remote host
4. Add 1 or more bookmarks to various folders on this remote host
5. Open your favorite application, for example gedit
6) Go to File -> open or File -> save and try to find your bookmark on the left pane 
Actual results:
It's hidden

Expected results:
It should be available fo ruse

Additional info:
You could work around this with a symlink on the local FS to ~/.gvfs/sftp on $HOST/PATH/TO/FOLDER/YOU/WANT/BOOKMARKED
Additionally, the "sftp on $HOST" entry is missing too.
You can step through ~/.gvfs/sftp on $HOST/path/to/folder inside the open/save dialog and create a new bookmark by dragging it to the left side pane and it indeed creates a bookmark, but it is immediately hidden in the open/save dialog.

This also affects Fedora 13 and RHEL 5.5.

If, however, we enabled visibility of fuse-SSHFS mounts in Nautilus (which works in RHEL5.5/F13), we could work around this issue in related bug #625064
Comment 2 Matthew Mosesohn 2010-08-19 15:57:40 EDT
Ok.  I made a mistake in reporting this bug.  Let me correct myself in what applications are affected.
It appears applications like gedit, totem, openoffice.org* are not affected by this bug.  It looks great in most apps.
It just seems to be affecting Firefox and Thunderbird as best as I can tell.  I found this xulrunner bug here:
https://bugs.launchpad.net/xulrunner/+bug/231221
Comment 3 Matthew Mosesohn 2010-08-19 17:18:27 EDT
More clarification.  In these apps, the GVFS connections appear:
gedit
openoffice
totem
gimp
fileroller
rhythmbox

In these apps, which are all non-GNOME apps, the connections and shortcuts do not appear:
opera
k3b
brasero
firefox
thunderbird
opera
any KDE app
Comment 4 Tomáš Bžatek 2010-08-23 09:44:53 EDT
OK, you're mixing few things together. Remember that Gnome desktop from RHEL5 is way too behind modern Gnome desktop and things have changed a bit.

(In reply to comment #0)
> If you create a bookmark referring to a SFTP gvfs connection in Nautilus, it is
> hidden from view in any save/open dialogs.
Bookmarks are saved in ~/.gtk-bookmarks and are shared across GtkFileChooser and Nautilus. You should see your newly created bookmark there.

> Steps to Reproduce:
> 1. File -> System Tools -> file browser
> 2. File -> Connect to Server
> 3. Set up a SSH/SFTP connection to a remote host
> 4. Add 1 or more bookmarks to various folders on this remote host
This way you create a bookmark AND active GIO mount. That means you should see that bookmark in the second section of FileChooser pane (i.e. listed with system disks, Desktop etc.). Below the line are inactive (not mounted) bookmarks.

> You could work around this with a symlink on the local FS to ~/.gvfs/sftp on
> $HOST/PATH/TO/FOLDER/YOU/WANT/BOOKMARKED
Uh, please don't do that, ~/.gvfs is just a fuse daemon, kind of proxy to active GIO mounts. It will disappear on next login. It's certainly not persistent in any way.

> Additionally, the "sftp on $HOST" entry is missing too.
If it's not mounted, it's not there.

> This also affects Fedora 13 and RHEL 5.5.
RHEL5.5 uses gnome-vfs2, Fedora 13 uses gvfs, two completely separate subsystems.

(In reply to comment #2)
> found this xulrunner bug here:
> https://bugs.launchpad.net/xulrunner/+bug/231221
Other distributions may contain patches not included in Fedora/RHEL modifying behaviour.

(In reply to comment #3)
> More clarification.  In these apps, the GVFS connections appear:
> gedit
> openoffice
> totem
> gimp
> fileroller
> rhythmbox
> 
> In these apps, which are all non-GNOME apps, the connections and shortcuts do
> not appear:
> opera
> k3b
> brasero
> firefox
> thunderbird
> opera
> any KDE app
Yes, that's correct. E.g. Firefox in RHEL6 still uses gnome-vfs2 for file handling and thus is unable to see GIO mounts. The FileChooser widget is just one side, applications must use GIO API to access resources there. This is the root problem of your bugreport, you should push developers of these packages to stop using gnome-vfs.
Comment 5 RHEL Product and Program Management 2010-08-23 09:45:10 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.